System.Web 2.0.0.0 System.Web.UI.DataSourceView

The control enables ASP.NET data-bound controls, such as the and controls, to bind to site map data. The class is used by controls developers but it is not used by page developers nor in page code.

The returns a for a specified hierarchical path when the method is called. Like all hierarchical data source view objects, the is not named; rather, its is identified by its unique hierarchical path.

The is a wrapper class on a collection. The class implements the interface, which the class returns from a call to Select method. Because the and work with objects, the view maintains an internal to contain them. The collection is initialized using the view's constructors and accessed with the method.

Provides a strongly typed object for the control.

- Constructor
  To be added.

  The class is a wrapper class on a object. Creating a using the constructor initializes the internal node collection with a single object. The site map structure is navigated using the node as a point of reference.

  Initializes a new named instance of the class, adding the single specified node to the internal collection of nodes.

  The that the is associated with.
  The to add to the internal .
  2.0.0.0
- Constructor
  To be added.

  The class is a wrapper class on a object. Creating a using the constructor initializes the internal node collection with the that is passed to the constructor.

  Initializes a new named instance of the class, setting the internal collection of nodes to the specified node collection.

  The that the is associated with.
  A of nodes that the provides a view of.
  2.0.0.0
- Method
  2.0.0.0
  System.Collections.IEnumerable ``

  The class implements the inherited method to retrieve a set of nodes that represents the site navigation structure for the current ASP.NET application. Page developers and data-bound control authors do not call the method directly; instead, use the publicly exposed method.

  Gets the collection of the objects that represents the site navigation structure for the current user.

  A that represents the site navigation structure for the current user.

  A that is used to request operations on the data beyond basic data retrieval.
- Method
  System.Void `` To be added. To be added. An object. 2.0.0.0
- Method
  System.Collections.IEnumerable ``

  The method calls the method, passing the parameter. The method is used by controls developers but it is not used by page developers nor in page code.

  Gets the collection of the objects that represents the site navigation structure for the current user.

  A that represents the site navigation structure for the current user.

  A that is used to request operations on the data beyond basic data retrieval. 2.0.0.0